/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import InputObserver from '../../mol-util/input/input-observer';
import { Camera } from '../camera';
declare type Canvas3D = import('../canvas3d').Canvas3D;
export declare class Canvas3dInteractionHelper {
    private canvasIdentify;
    private getLoci;
    private input;
    private camera;
    private maxFps;
    private ev;
    readonly events: {
        hover: import("rxjs").Subject<import("../canvas3d").Canvas3D.HoverEvent>;
        drag: import("rxjs").Subject<import("../canvas3d").Canvas3D.DragEvent>;
        click: import("rxjs").Subject<import("../canvas3d").Canvas3D.ClickEvent>;
    };
    private startX;
    private startY;
    private endX;
    private endY;
    private id;
    private position;
    private currentIdentifyT;
    private isInteracting;
    private prevLoci;
    private prevT;
    private inside;
    private buttons;
    private button;
    private modifiers;
    private identify;
    tick(t: number): void;
    private leave;
    private move;
    private click;
    private drag;
    private modify;
    private outsideViewport;
    dispose(): void;
    constructor(canvasIdentify: Canvas3D['identify'], getLoci: Canvas3D['getLoci'], input: InputObserver, camera: Camera, maxFps?: number);
}
export {};
