"use strict";
/**
 * Copyright (c) 2017 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var iterator_1 = tslib_1.__importDefault(require("../iterator"));
function iteratorToArray(it) {
    var ret = [];
    while (it.hasNext) {
        var v = it.move();
        ret[ret.length] = v;
    }
    return ret;
}
describe('basic iterators', function () {
    function check(name, iter, expected) {
        it(name, function () {
            expect(iteratorToArray(iter)).toEqual(expected);
        });
    }
    check('empty', iterator_1.default.Empty, []);
    check('singleton', iterator_1.default.Value(10), [10]);
    check('array', iterator_1.default.Array([1, 2, 3]), [1, 2, 3]);
    check('range', iterator_1.default.Range(0, 3), [0, 1, 2, 3]);
    check('map', iterator_1.default.map(iterator_1.default.Range(0, 1), function (x) { return x + 1; }), [1, 2]);
    check('filter', iterator_1.default.filter(iterator_1.default.Range(0, 3), function (x) { return x >= 2; }), [2, 3]);
});
//# sourceMappingURL=iterators.spec.js.map