"use strict";
/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageRenderable = exports.ImageSchema = void 0;
var tslib_1 = require("tslib");
var renderable_1 = require("../renderable");
var render_item_1 = require("../webgl/render-item");
var schema_1 = require("./schema");
var shader_code_1 = require("../shader-code");
var mol_util_1 = require("../../mol-util");
var image_1 = require("../../mol-geo/geometry/image/image");
exports.ImageSchema = tslib_1.__assign(tslib_1.__assign({}, schema_1.BaseSchema), { aGroup: schema_1.AttributeSpec('float32', 1, 0), aPosition: schema_1.AttributeSpec('float32', 3, 0), aUv: schema_1.AttributeSpec('float32', 2, 0), elements: schema_1.ElementsSpec('uint32'), uImageTexDim: schema_1.UniformSpec('v2'), tImageTex: schema_1.TextureSpec('image-uint8', 'rgba', 'ubyte', 'nearest'), tGroupTex: schema_1.TextureSpec('image-uint8', 'rgba', 'ubyte', 'nearest'), dInterpolation: schema_1.DefineSpec('string', image_1.InterpolationTypeNames) });
function ImageRenderable(ctx, id, values, state, materialId) {
    var schema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.GlobalUniformSchema), schema_1.GlobalTextureSchema), schema_1.InternalSchema), exports.ImageSchema);
    var internalValues = {
        uObjectId: mol_util_1.ValueCell.create(id),
    };
    var shaderCode = shader_code_1.ImageShaderCode;
    var renderItem = render_item_1.createGraphicsRenderItem(ctx, 'triangles', shaderCode, schema, tslib_1.__assign(tslib_1.__assign({}, values), internalValues), materialId);
    return renderable_1.createRenderable(renderItem, values, state);
}
exports.ImageRenderable = ImageRenderable;
//# sourceMappingURL=image.js.map