"use strict";
/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var parser_1 = require("../3dg/parser");
var basic3dgString = "1(mat)\t1420000\t0.791377837067\t10.9947291355\t-13.1882897693\n1(mat)\t1440000\t-0.268241283699\t10.5200875887\t-13.0896257278\n1(mat)\t1460000\t-1.3853075236\t10.5513787498\t-13.1440142173\n1(mat)\t1480000\t-1.55984101733\t11.4340829129\t-13.6026301209\n1(mat)\t1500000\t-0.770991778399\t11.4758488546\t-14.5881137222\n1(mat)\t1520000\t-0.0848245107875\t12.2624690808\t-14.354289628\n1(mat)\t1540000\t-0.458643807046\t12.5985791771\t-13.4701149287\n1(mat)\t1560000\t-0.810322906201\t12.2461643989\t-12.3172933413\n1(mat)\t1580000\t-2.08211172035\t12.8886838656\t-12.8742007778\n1(mat)\t1600000\t-3.52093948201\t13.1850935438\t-12.4118684428";
describe('3dg reader', function () {
    it('basic', function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var parsed, _a, chromosome, position, x, y, z;
        return tslib_1.__generator(this, function (_b) {
            switch (_b.label) {
                case 0: return [4 /*yield*/, parser_1.parse3DG(basic3dgString).run()];
                case 1:
                    parsed = _b.sent();
                    expect(parsed.isError).toBe(false);
                    if (parsed.isError)
                        return [2 /*return*/];
                    _a = parsed.result.table, chromosome = _a.chromosome, position = _a.position, x = _a.x, y = _a.y, z = _a.z;
                    expect(chromosome.value(0)).toBe('1(mat)');
                    expect(position.value(1)).toBe(1440000);
                    expect(x.value(5)).toBe(-0.0848245107875);
                    expect(y.value(5)).toBe(12.2624690808);
                    expect(z.value(5)).toBe(-14.354289628);
                    return [2 /*return*/];
            }
        });
    }); });
});
//# sourceMappingURL=3dg.spec.js.map