"use strict";
/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 * @author David Sehnal <david.sehnal@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StructureTextureMeshParams = exports.StructureDirectVolumeParams = exports.StructureTextParams = exports.StructureLinesParams = exports.StructurePointsParams = exports.StructureCylindersParams = exports.StructureSpheresParams = exports.StructureMeshParams = exports.StructureParams = exports.getUnitKindsParam = void 0;
var tslib_1 = require("tslib");
var direct_volume_1 = require("../../mol-geo/geometry/direct-volume/direct-volume");
var lines_1 = require("../../mol-geo/geometry/lines/lines");
var mesh_1 = require("../../mol-geo/geometry/mesh/mesh");
var points_1 = require("../../mol-geo/geometry/points/points");
var spheres_1 = require("../../mol-geo/geometry/spheres/spheres");
var cylinders_1 = require("../../mol-geo/geometry/cylinders/cylinders");
var text_1 = require("../../mol-geo/geometry/text/text");
var texture_mesh_1 = require("../../mol-geo/geometry/texture-mesh/texture-mesh");
var param_definition_1 = require("../../mol-util/param-definition");
var common_1 = require("./visual/util/common");
function getUnitKindsParam(defaultValue) {
    return param_definition_1.ParamDefinition.MultiSelect(defaultValue, common_1.UnitKindOptions, { description: 'For which kinds of units/chains to show the representation visuals.' });
}
exports.getUnitKindsParam = getUnitKindsParam;
exports.StructureParams = {
    unitKinds: getUnitKindsParam(['atomic', 'spheres']),
};
exports.StructureMeshParams = tslib_1.__assign({}, mesh_1.Mesh.Params);
exports.StructureSpheresParams = tslib_1.__assign({}, spheres_1.Spheres.Params);
exports.StructureCylindersParams = tslib_1.__assign({}, cylinders_1.Cylinders.Params);
exports.StructurePointsParams = tslib_1.__assign({}, points_1.Points.Params);
exports.StructureLinesParams = tslib_1.__assign({}, lines_1.Lines.Params);
exports.StructureTextParams = tslib_1.__assign({}, text_1.Text.Params);
exports.StructureDirectVolumeParams = tslib_1.__assign({}, direct_volume_1.DirectVolume.Params);
exports.StructureTextureMeshParams = tslib_1.__assign({}, texture_mesh_1.TextureMesh.Params);
//# sourceMappingURL=params.js.map