/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Unit, Structure } from '../../../../mol-model/structure';
import { Task } from '../../../../mol-task';
import { CommonSurfaceProps } from './common';
import { DensityData } from '../../../../mol-math/geometry';
import { MolecularSurfaceCalculationProps } from '../../../../mol-math/geometry/molecular-surface';
export declare type MolecularSurfaceProps = MolecularSurfaceCalculationProps & CommonSurfaceProps;
export declare function computeUnitMolecularSurface(structure: Structure, unit: Unit, props: MolecularSurfaceProps): Task<DensityData>;
