/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Volume } from '../../mol-model/volume';
import { Loci } from '../../mol-model/loci';
import { Interval } from '../../mol-data/int';
import Vec3 from '../../mol-math/linear-algebra/3d/vec3';
export declare function eachVolumeLoci(loci: Loci, volume: Volume, isoValue: Volume.IsoValue | undefined, apply: (interval: Interval) => boolean): boolean;
export declare function getVolumeTexture2dLayout(dim: Vec3, padding?: number): {
    width: number;
    height: number;
    columns: number;
    rows: number;
    powerOfTwoSize: number;
};
export declare function createVolumeTexture2d(volume: Volume, variant: 'normals' | 'groups' | 'data', padding?: number): {
    array: Uint8Array;
    width: number;
    height: number;
};
export declare function createVolumeTexture3d(volume: Volume): {
    array: Uint8Array;
    width: number;
    height: number;
    depth: number;
};
