"use strict";
/**
 * Copyright (c) 2019 Mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var type_1 = tslib_1.__importDefault(require("../type"));
var Struct = tslib_1.__importStar(require("./structure-query"));
var symbol_1 = require("../symbol");
var helpers_1 = require("../helpers");
var generator = {
    '@header': 'Generators',
    bundleElement: helpers_1.symbol(symbol_1.Arguments.Dictionary({
        // TODO: should we use more universal unit keys? (i.e. based on chain and "operator name")
        groupedUnits: symbol_1.Argument(type_1.default.Any),
        set: symbol_1.Argument(type_1.default.Any),
        ranges: symbol_1.Argument(type_1.default.Any) // SortedArray<UnitIndex>
    }), type_1.default.Any),
    bundle: helpers_1.symbol(symbol_1.Arguments.Dictionary({
        elements: symbol_1.Argument(type_1.default.Any) // BundleElement[]
    }), Struct.Types.ElementSelectionQuery, 'A selection with single structure containing represented by the bundle.'),
    // Use with caution as this is not "state saveable"
    // This query should never be used in any State Transform!
    current: helpers_1.symbol(symbol_1.Arguments.None, Struct.Types.ElementSelectionQuery, 'Current selection provided by the query context. Avoid using this in State Transforms.')
};
exports.default = {
    '@header': 'Internal Queries',
    generator: generator
};
//# sourceMappingURL=internal.js.map