/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ColorTheme } from '../color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { ThemeDataContext } from '../theme';
import { Volume } from '../../mol-model/volume';
export declare const VolumeColorThemeParams: {
    volume: PD.Value<typeof Volume>;
};
export declare type VolumeColorThemeParams = typeof VolumeColorThemeParams;
export declare function getVolumeColorThemeParams(ctx: ThemeDataContext): {
    volume: PD.Value<typeof Volume>;
};
export declare function VolumeColorTheme(ctx: ThemeDataContext, props: PD.Values<VolumeColorThemeParams>): ColorTheme<VolumeColorThemeParams>;
export declare const VolumeColorThemeProvider: ColorTheme.Provider<VolumeColorThemeParams, 'volume'>;
