"use strict";
/**
 * Copyright (c) 2018 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
var id_factory_1 = require("../id-factory");
describe('id-factory', function () {
    it('basic', function () {
        var getNextId = id_factory_1.idFactory();
        expect(getNextId()).toBe(0);
        expect(getNextId()).toBe(1);
    });
    it('start-id', function () {
        var getNextId = id_factory_1.idFactory(5);
        expect(getNextId()).toBe(5);
        expect(getNextId()).toBe(6);
    });
    it('negative-start-id', function () {
        var getNextId = id_factory_1.idFactory(-1);
        expect(getNextId()).toBe(-1);
        expect(getNextId()).toBe(0);
    });
    it('max-id', function () {
        var getNextId = id_factory_1.idFactory(0, 2);
        expect(getNextId()).toBe(0);
        expect(getNextId()).toBe(1);
        expect(getNextId()).toBe(0);
        expect(getNextId()).toBe(1);
    });
});
//# sourceMappingURL=id-factory.spec.js.map