/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { WebGLContext } from '../../mol-gl/webgl/context';
import Scene from '../../mol-gl/scene';
import { Camera, ICamera } from '../camera';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
export declare const CameraHelperParams: {
    axes: PD.Mapped<PD.NamedParams<PD.Normalize<{
        alpha: number;
        ignoreLight: boolean;
        colorX: import("../../mol-util/color").Color;
        colorY: import("../../mol-util/color").Color;
        colorZ: import("../../mol-util/color").Color;
        scale: number;
        doubleSided: boolean;
        flipSided: boolean;
        flatShaded: boolean;
        xrayShaded: boolean;
        quality: "custom" | "auto" | "highest" | "higher" | "high" | "medium" | "low" | "lower" | "lowest";
    }>, "on"> | PD.NamedParams<PD.Normalize<unknown>, "off">>;
};
export declare type CameraHelperParams = typeof CameraHelperParams;
export declare type CameraHelperProps = PD.Values<CameraHelperParams>;
export declare class CameraHelper {
    private webgl;
    scene: Scene;
    camera: Camera;
    props: CameraHelperProps;
    private renderObject;
    constructor(webgl: WebGLContext, props?: Partial<CameraHelperProps>);
    setProps(props: Partial<CameraHelperProps>): void;
    get isEnabled(): boolean;
    update(camera: ICamera): void;
}
