/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ValueCell } from '../../mol-util/value-cell';
import { Vec2 } from '../../mol-math/linear-algebra';
import { TextureImage } from '../../mol-gl/renderable/util';
import { Color } from '../../mol-util/color';
export declare type OverpaintData = {
    tOverpaint: ValueCell<TextureImage<Uint8Array>>;
    uOverpaintTexDim: ValueCell<Vec2>;
    dOverpaint: ValueCell<boolean>;
};
export declare function applyOverpaintColor(array: Uint8Array, start: number, end: number, color: Color): boolean;
export declare function clearOverpaint(array: Uint8Array, start: number, end: number): boolean;
export declare function createOverpaint(count: number, overpaintData?: OverpaintData): OverpaintData;
export declare function createEmptyOverpaint(overpaintData?: OverpaintData): OverpaintData;
