/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ValueCell } from '../../mol-util/value-cell';
import { Vec2 } from '../../mol-math/linear-algebra';
import { TextureImage } from '../../mol-gl/renderable/util';
export declare type TransparencyData = {
    tTransparency: ValueCell<TextureImage<Uint8Array>>;
    uTransparencyTexDim: ValueCell<Vec2>;
    dTransparency: ValueCell<boolean>;
    transparencyAverage: ValueCell<number>;
};
export declare function applyTransparencyValue(array: Uint8Array, start: number, end: number, value: number): boolean;
export declare function getTransparencyAverage(array: Uint8Array, count: number): number;
export declare function clearTransparency(array: Uint8Array, start: number, end: number): void;
export declare function createTransparency(count: number, transparencyData?: TransparencyData): TransparencyData;
export declare function createEmptyTransparency(transparencyData?: TransparencyData): TransparencyData;
