/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
export default "\nvec4 texture3dFrom1dTrilinear(const in sampler2D tex, const in vec3 pos, const in vec3 gridDim, const in vec2 texDim, const in float offset) {\n    float gdYZ = gridDim.z * gridDim.y;\n    float gdZ = gridDim.z;\n    vec3 p0 = floor(pos * gridDim);\n    vec3 p1 = ceil(pos * gridDim);\n    vec3 pd = (pos * gridDim - p0) / (p1 - p0);\n    vec4 s000 = readFromTexture(tex, offset + p0.z + p0.y * gdZ + p0.x * gdYZ, texDim);\n    vec4 s100 = readFromTexture(tex, offset + p0.z + p0.y * gdZ + p1.x * gdYZ, texDim);\n    vec4 s001 = readFromTexture(tex, offset + p1.z + p0.y * gdZ + p0.x * gdYZ, texDim);\n    vec4 s101 = readFromTexture(tex, offset + p1.z + p0.y * gdZ + p1.x * gdYZ, texDim);\n    vec4 s010 = readFromTexture(tex, offset + p0.z + p1.y * gdZ + p0.x * gdYZ, texDim);\n    vec4 s110 = readFromTexture(tex, offset + p0.z + p1.y * gdZ + p1.x * gdYZ, texDim);\n    vec4 s011 = readFromTexture(tex, offset + p1.z + p1.y * gdZ + p0.x * gdYZ, texDim);\n    vec4 s111 = readFromTexture(tex, offset + p1.z + p1.y * gdZ + p1.x * gdYZ, texDim);\n    vec4 s00 = mix(s000, s100, pd.x);\n    vec4 s01 = mix(s001, s101, pd.x);\n    vec4 s10 = mix(s010, s110, pd.x);\n    vec4 s11 = mix(s011, s111, pd.x);\n    vec4 s0 = mix(s00, s10, pd.y);\n    vec4 s1 = mix(s01, s11, pd.y);\n    return mix(s0, s1, pd.z);\n}\n";
//# sourceMappingURL=texture3d-from-1d-trilinear.glsl.js.map