/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Sebastian Bittrich <sebastian.bittrich@rcsb.org>
 */
import { Column } from '../../../mol-data/db';
import { MolFile } from '../mol/parser';
import { Task } from '../../../mol-task';
import { ReaderResult as Result } from '../result';
/** http://c4.cabrillo.edu/404/ctfile.pdf - page 41 */
export interface SdfFile {
    readonly compounds: {
        readonly molFile: MolFile;
        readonly dataItems: {
            readonly dataHeader: Column<string>;
            readonly data: Column<string>;
        };
    }[];
}
export declare function parseSdf(data: string): Task<Result<SdfFile>>;
