/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Lookup3D } from './common';
import { PositionData } from '../common';
import { Vec3 } from '../../linear-algebra';
import { Boundary } from '../boundary';
interface GridLookup3D<T = number> extends Lookup3D<T> {
    readonly buckets: {
        readonly offset: ArrayLike<number>;
        readonly count: ArrayLike<number>;
        readonly array: ArrayLike<number>;
    };
}
declare function GridLookup3D<T extends number = number>(data: PositionData, boundary: Boundary, cellSizeOrCount?: Vec3 | number): GridLookup3D<T>;
export { GridLookup3D };
