/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ColorTheme } from '../color';
import { Color } from '../../mol-util/color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { ThemeDataContext } from '../theme';
import { Vec3 } from '../../mol-math/linear-algebra';
export declare const PositionColorThemeParams: {};
export declare type PositionColorThemeParams = typeof PositionColorThemeParams;
export declare function getPositionColorThemeParams(ctx: ThemeDataContext): {};
export declare function PositionColorTheme(ctx: ThemeDataContext, props: PD.Values<PositionColorThemeParams>): ColorTheme<PositionColorThemeParams>;
export declare const PositionColorThemeProvider: ColorTheme.Provider<PositionColorThemeParams, 'position'>;
export declare namespace ColorCosine {
    function palette(t: Vec3, a: Vec3, b: Vec3, c: Vec3, d: Vec3): Color;
    function palette6(t: Vec3): Color;
}
