/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ColorTheme } from '../color';
import { Color } from '../../mol-util/color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { ThemeDataContext } from '../theme';
import { Volume } from '../../mol-model/volume';
import { Vec3 } from '../../mol-math/linear-algebra';
export declare const VolumeColorThemeParams: {
    volume: PD.Value<typeof Volume>;
};
export declare type VolumeColorThemeParams = typeof VolumeColorThemeParams;
export declare function getVolumeColorThemeParams(ctx: ThemeDataContext): {
    volume: PD.Value<typeof Volume>;
};
export declare function VolumeColorTheme(ctx: ThemeDataContext, props: PD.Values<VolumeColorThemeParams>): ColorTheme<VolumeColorThemeParams>;
export declare const VolumeColorThemeProvider: ColorTheme.Provider<VolumeColorThemeParams, 'volume'>;
export declare function v3cos(out: Vec3, a: Vec3): Vec3;
export declare namespace ColorCosine {
    function palette(t: Vec3, a: Vec3, b: Vec3, c: Vec3, d: Vec3): Color;
    function palette1(t: Vec3): Color;
    function palette2(t: Vec3): Color;
    function palette3(t: Vec3): Color;
    function palette4(t: Vec3): Color;
    function palette5(t: Vec3): Color;
    function palette6(t: Vec3): Color;
    function palette7(t: Vec3): Color;
}
