export var smaaEdges_frag = "\n#define SMAA_THRESHOLD 0.1\n\nuniform sampler2D tColor;\n\nvarying vec2 vUv;\nvarying vec4 vOffset[3];\n\nvec4 SMAAColorEdgeDetectionPS(vec2 texcoord, vec4 offset[3], sampler2D colorTex) {\n    vec2 threshold = vec2(SMAA_THRESHOLD, SMAA_THRESHOLD);\n\n    // Calculate color deltas:\n    vec4 delta;\n    vec3 C = texture2D( colorTex, texcoord ).rgb;\n\n    vec3 Cleft = texture2D( colorTex, offset[0].xy ).rgb;\n    vec3 t = abs( C - Cleft );\n    delta.x = max( max( t.r, t.g ), t.b );\n\n    vec3 Ctop = texture2D( colorTex, offset[0].zw ).rgb;\n    t = abs( C - Ctop );\n    delta.y = max( max( t.r, t.g ), t.b );\n\n    // We do the usual threshold:\n    vec2 edges = step( threshold, delta.xy );\n\n    // Then discard if there is no edge:\n    if ( dot( edges, vec2( 1.0, 1.0 ) ) == 0.0 )\n        discard;\n\n    // Calculate right and bottom deltas:\n    vec3 Cright = texture2D( colorTex, offset[1].xy ).rgb;\n    t = abs( C - Cright );\n    delta.z = max( max( t.r, t.g ), t.b );\n\n    vec3 Cbottom  = texture2D( colorTex, offset[1].zw ).rgb;\n    t = abs( C - Cbottom );\n    delta.w = max( max( t.r, t.g ), t.b );\n\n    // Calculate the maximum delta in the direct neighborhood:\n    float maxDelta = max( max( max( delta.x, delta.y ), delta.z ), delta.w );\n\n    // Calculate left-left and top-top deltas:\n    vec3 Cleftleft  = texture2D( colorTex, offset[2].xy ).rgb;\n    t = abs( C - Cleftleft );\n    delta.z = max( max( t.r, t.g ), t.b );\n\n    vec3 Ctoptop = texture2D( colorTex, offset[2].zw ).rgb;\n    t = abs( C - Ctoptop );\n    delta.w = max( max( t.r, t.g ), t.b );\n\n    // Calculate the final maximum delta:\n    maxDelta = max( max( maxDelta, delta.z ), delta.w );\n\n    // Local contrast adaptation in action:\n    edges.xy *= step( 0.5 * maxDelta, delta.xy );\n\n    return vec4( edges, 0.0, 0.0 );\n}\n\nvoid main() {\n    gl_FragColor = SMAAColorEdgeDetectionPS(vUv, vOffset, tColor);\n}\n";
//# sourceMappingURL=smaa-edges.frag.js.map